/* 店舗情報 */

iframe{
  border:none; 
  display:block;
}

.store-sec2-wrap {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding-block: 6rem;
  background-color: #ded8c9;
}

@media (min-width: 768px) {
  .store-sec2-wrap {
    padding-block: 8rem;
  }
}

.store-sec2-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 2rem;
  text-align: center;
}

@media (min-width: 768px) {
  .store-sec2-box {
    gap: 3.6rem;
  }
}

.store-sec2-box h2 {
  font-size: clamp(1.25rem, 0.926rem + 1.4vw, 2.25rem);
  letter-spacing: 0.2em;
}

.store-sec2-box p {
  font-size: clamp(0.875rem, 0.835rem + 0.18vw, 1rem);
  line-height: 3;
}

.store-sec3-wrap {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: relative;
}

.store-sec3-bg {
  position: sticky;
  top: 0;
  width: 100%;
  height: 100%;
}

.store-sec3-box {
  background: linear-gradient(180deg, #e8e4d9 0%, #f3f1e8 100%);
  padding-block: 6rem;
  width: 100%;
  position: relative;
  z-index: 2;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.store-sec3-box.brown {
  background: linear-gradient(180deg, #f5efdf 10.91%, #f1eee5 79.03%);
}

.store-sec3-box .main {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.store-sec3-box .main .sub {
  font-size: clamp(0.875rem, 0.835rem + 0.18vw, 1rem);
  position: relative;
  z-index: 0;
  text-align: center;
  margin-bottom: 5rem;
  color: #d45d00;
  font-family: "Afacad", sans-serif;
  font-weight: 400;
  letter-spacing: 0.4em;
}

.store-sec3-box .main .sub::before {
  position: absolute;
  z-index: -1;
  content: "";
  width: 136px;
  height: 120px;
  left: 50%;
  transform: translateX(-50%);
  top: -130%;
  background-image: url("../images/store-bubble-deco.png");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}

.store-sec3-box .main h2 {
  font-size: clamp(1.5rem, 1.176rem + 1.4vw, 2.5rem);
  text-align: center;
  margin-bottom: 3rem;
  letter-spacing: 0.2em;
}

.store-sec3-box .main .text {
  font-size: clamp(0.875rem, 0.835rem + 0.18vw, 1rem);
  text-align: center;
  line-height: 2.6;
  margin-bottom: 4rem;
}

@media (min-width: 768px) {
  .store-sec3-box .main .text {
    margin-bottom: 5rem;
  }
}

.store-sec3-voice {
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  gap: 1.6rem;
  flex-direction: column;
  align-items: start;
  justify-content: stretch;
  width: 100%;
}

@media (min-width: 768px) {
  .store-sec3-voice {
    grid-template-columns: repeat(2, 1fr);
    gap: 1.8rem;
  }
}

@media (min-width: 992px) {
  .store-sec3-voice {
    gap: 2.2rem;
  }
}

.store-sec3-voice .box {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background-color: #fff;
  padding: 2.6rem;
}

.store-sec3-voice .box .main-box {
  display: flex;
  align-items: stretch;
  justify-content: start;
  width: 100%;
  gap: 1.2rem;
}

.store-sec3-voice .box .main-box img {
  width: 50px;
  height: 55px;
}

.store-sec3-voice .box .main-box .div {
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
  width: 100%;
  line-height: 1.5;
}

.store-sec3-voice .box .main-box .div .day {
  font-size: clamp(0.75rem, 0.71rem + 0.18vw, 0.875rem);
  color: #a5912d;
  width: 100%;
}

.store-sec3-voice .box .main-box .div .name {
  display: flex;
  align-items: center;
  justify-content: start;
  width: 100%;
  flex-wrap: wrap;
}

.store-sec3-voice .box .main-box .div .name .p1 {
  font-size: clamp(1.125rem, 1.004rem + 0.53vw, 1.5rem);
  letter-spacing: 0.15em;
}

.store-sec3-voice .box .main-box .div .name .p2 {
  font-size: clamp(0.75rem, 0.71rem + 0.18vw, 0.875rem);
  margin-top: 0.2rem;
}

.store-sec3-voice .box .text2 {
  font-size: clamp(0.75rem, 0.669rem + 0.35vw, 1rem);
  width: 100%;
  line-height: 2;
  margin-top: 1.2rem;
  text-align: start;
}

.store-button {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 1.2rem 4rem;
  background-color: #fff;
  border-radius: 100px;
  border: 1px solid #e5e1cd;
  font-size: clamp(0.875rem, 0.794rem + 0.35vw, 1.125rem);
  text-align: center;
  letter-spacing: 0.15em;
  transition: all 0.3s;
}

.store-button:hover {
  background-color: #e8e4da;
  filter: drop-shadow(2px 2px 10px rgba(0, 0, 0, 0.15));
}

.store-sec3-qa {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  letter-spacing: 0.13em;
}

.store-sec3-qa .flex-box {
  display: flex;
  align-items: start;
  justify-content: start;
  gap: 1.6rem;
  padding: 2rem 2rem;
  width: 100%;
}

.store-sec3-qa .flex-box.white {
  background-color: #fff;
  border-top: 1px solid #323224;
}

.store-sec3-qa .flex-box .q-icon {
  width: 24px;
  height: auto;
  object-fit: contain;
  margin-top: 0.4rem;
}

.store-sec3-qa .flex-box .a-icon {
  width: 24px;
  height: auto;
  object-fit: contain;
  margin-top: 0.4rem;
}

.store-sec3-qa .flex-box .q-text {
  width: 100%;
  font-size: clamp(1rem, 0.919rem + 0.35vw, 1.25rem);
}

.store-sec3-qa .flex-box .a-text {
  width: 100%;
  font-size: clamp(0.875rem, 0.835rem + 0.18vw, 1rem);
}

@media (min-width: 768px) {
  .store-sec3-qa .flex-box {
    gap: 2.4rem;
    padding: 2.4rem 3rem;
  }

  .store-sec3-qa .flex-box .q-icon {
    width: 24px;
    margin-top: 0.4rem;
  }

  .store-sec3-qa .flex-box .a-icon {
    width: 32px;
    margin-top: 0.6rem;
  }
}

.store-sec4-title {
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
  gap: 1.4rem;
  position: relative;
  z-index: 0;
  padding-left: 2rem;
}

.store-sec4-title::before {
  position: absolute;
  z-index: -1;
  content: "";
  width: 164px;
  height: 147px;
  left: 130px;
  top: -60px;
  background-image: url("../images/bubble.png");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}

@media (min-width: 768px) {
  .store-sec4-title {
    padding-left: 5rem;
  }

  .store-sec4-title::before {
    left: -60px;
  }
}

.store-sec4-title .en {
  color: #d45d00;
  font-family: "Afacad", sans-serif;
  font-weight: 400;
  letter-spacing: 0.4em;
  font-size: clamp(0.875rem, 0.835rem + 0.18vw, 1rem);
}

.store-sec4-title .jp {
  color: #323224;
  font-family: tot-shizukardmin-stdn, sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: clamp(1.25rem, 0.683rem + 2.45vw, 3rem);
  letter-spacing: 0.2em;
}

.store-sec4-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 3.5rem;
  max-width: 1512px;
}

@media (min-width: 992px) {
  .store-sec4-box {
    display: flex;
    flex-direction: row;
    gap: 0;
  }
}

.store-sec4-box .l {
  width: 100%;
  height: 340px;
  overflow: hidden;
}

@media (min-width: 992px) {
  .store-sec4-box .l {
    width: 80%;
    height: 640px;
  }
}

.store-sec4-box .l img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.store-sec4-box .r {
  width: 100%;
  padding-inline: 2rem;
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
  gap: 1rem;
}

@media (min-width: 992px) {
  .store-sec4-box .r {
    padding-inline: 5rem;
    gap: 1.2rem;
  }
}

.store-sec4-box .r .name {
  font-size: clamp(1.5rem, 1.176rem + 1.4vw, 2.5rem);
  color: #323224;
  font-family: tot-shizukardmin-stdn, sans-serif;
  font-weight: 400;
  letter-spacing: 0.2em;
}

.store-sec4-box .r .list {
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: start;
  gap: 1.2rem;
  font-size: clamp(0.875rem, 0.835rem + 0.18vw, 1rem);
  line-height: 1.8;
  letter-spacing: 0.15em;
  width: 100%;
}

@media (min-width: 768px) {
  .store-sec4-box .r .list {
    flex-direction: row;
    gap: 0;
  }
}

.store-sec4-box .r .list .box1 {
  width: 100%;
}

.store-sec4-box .r .list .box2 {
  width: 100%;
  padding-left: 1.2rem;
  border-left: 1px solid #b9b8b7;
}

@media (min-width: 768px) {
  .store-sec4-box .r .list .box1 {
    width: 30%;
  }
}

.store-map-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 3rem;
}

.store-map-box .title {
  font-size: clamp(1.5rem, 1.338rem + 0.7vw, 2rem);
  color: #d45d00;
  width: 100%;
  letter-spacing: 0.25em;
}

.store-map-box .map-wrap {
  height: 400px;
  width: 100%;
}

@media (min-width: 768px) {
  .store-map-box .map-wrap {
    height: 545px;
  }
}

/* News表示 */
.webgene-blog {
  width: 100%;
}

/* News表示 画像あり版 */
.news-list .webgene-blog {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.news-list .webgene-item {
  width: 100%;
}

@media (min-width: 768px) {
  .news-list .webgene-item {
    width: 48%;
  }
}

/* ページネーション共通（◆＋下線タイプ） */
.webgene-pagination {
  width: 100%;
}

.webgene-pagination ul,
.pagelink {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  gap: 24px;
  width: 100%;
  max-width: 320px;
  margin: 4rem auto 0;
  padding: 0;
  list-style: none;
}

.webgene-pagination ul li,
.pagelink p {
  width: 46%;
  display: block;
  max-width: 130px;
  margin: 0;
  font-size: clamp(0.875rem, 0.75rem + 0.4vw, 1.125rem); /* 14 → 18px */
  letter-spacing: 0.2em;
  line-height: 2;
}

.webgene-pagination ul li.prev,
.pagelink p.prev {
  margin-right: auto;
}

.webgene-pagination ul li.next,
.pagelink p.next {
  margin-left: auto;
}

.webgene-pagination ul li a,
.pagelink p a {
  position: relative;
  display: flex !important;
  align-items: center;
  justify-content: space-between; /* ◆ を外側・文字を内側に寄せる */
  width: 100%;
  height: auto;
  padding: 0 2px 1.7rem;
  border-bottom: 1px solid var(--c-accent);
  color: var(--c-text);
  transition: opacity 0.3s;
}

.webgene-pagination ul li a:hover,
.pagelink p a:hover {
  cursor: pointer;
  opacity: 0.7;
  background-color: transparent;
}

/* Prevボタン（◆ 左） */
.webgene-pagination ul li.prev a::before,
.pagelink p.prev a::before {
  content: "";
  position: static;
  flex: none;
  width: 10px;
  height: 10px;
  background: var(--c-accent);
  transform: rotate(45deg);
  transition: transform 0.3s;
}

.webgene-pagination ul li.prev a:hover::before,
.pagelink p.prev a:hover::before {
  transform: rotate(45deg) translate(-4px, 4px);
}

/* Nextボタン（◆ 右） */
.webgene-pagination ul li.next a::after,
.pagelink p.next a::after {
  content: "";
  position: static;
  flex: none;
  width: 10px;
  height: 10px;
  background: var(--c-accent);
  transform: rotate(45deg);
  transition: transform 0.3s;
}

.webgene-pagination ul li.next a:hover::after,
.pagelink p.next a:hover::after {
  transform: rotate(45deg) translate(4px, -4px);
}

@media screen and (max-width: 767px) {
  .webgene-pagination ul,
  .pagelink {
    gap: 16px;
    margin-top: 3rem;
  }
  .webgene-pagination ul li a,
  .pagelink p a {
    padding-bottom: 1.2rem;
  }
}

.news-back-button {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: 1.4rem;
  max-width: 310px;
  width: 100%;
  border: 1px solid #363636;
  background-color: #fff;
  transition: all 0.3s;
}
.news-back-button:hover {
  background-color: #a3987c;
}
.news-back-button p {
  font-size: clamp(0.75rem, 0.669rem + 0.35vw, 1rem);
  color: #2d2d2d;
}

/* NEWS */

.news-sec2-wrap {
  display: flex;
  align-items: center;
  justify-content: center;
  padding-block: 8rem;
  background-color: #fff;
}

.news-main-box {
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
  max-width: 680px;
  width: 100%;
}
.news-main-box .webgene-blog .webgene-item .news-list {
  border-bottom: 1px solid #503500;
  padding-bottom: 1.4rem;
  margin-bottom: 1.4rem;
  width: 100%;
}
@media (min-width: 768px) {
  .news-main-box .webgene-blog .webgene-item .news-list {
    padding-bottom: 2.6rem;
    margin-bottom: 2.6rem;
  }
}
.news-main-box .webgene-blog .webgene-item .news-list .link-box {
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
}
@media (min-width: 768px) {
  .news-main-box .webgene-blog .webgene-item .news-list .link-box {
    flex-direction: row;
    align-items: center;
    justify-content: start;
  }
}
.news-main-box .webgene-blog .webgene-item .news-list .link-box .img-box {
  width: 100%;
  aspect-ratio: 4/3;
  overflow: hidden;
}
.news-main-box .webgene-blog .webgene-item .news-list .link-box .img-box img {
  -o-object-fit: contain;
  object-fit: contain;
  width: 100%;
  height: 100%;
}
.news-main-box .webgene-blog .webgene-item .news-list .link-box .day {
  color: #d45d00;
  font-size: clamp(0.75rem, 0.71rem + 0.18vw, 0.875rem);
  width: 20%;
}
.news-main-box .webgene-blog .webgene-item .news-list .link-box .title {
  font-size: clamp(1rem, 0.96rem + 0.18vw, 1.125rem);
}

.news-sec2-wrap2 {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding-block: 6rem 8rem;
  background-color: #fff;
}

.news-main-box2 {
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
  max-width: 740px;
}
.news-main-box2 .webgene-blog .webgene-item .details-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 0.5rem;
  width: 100%;
}
.news-main-box2 .webgene-blog .webgene-item .details-box .category {
  font-size: clamp(1.25rem, 1.169rem + 0.35vw, 1.5rem);
  color: #d45d00;
  width: 100%;
}
.news-main-box2 .webgene-blog .webgene-item .details-box .day {
  font-size: clamp(0.875rem, 0.835rem + 0.18vw, 1rem);
  letter-spacing: 0.15em;
  width: 100%;
}
.news-main-box2 .webgene-blog .webgene-item .details-box .title {
  font-size: clamp(1.125rem, 0.923rem + 0.88vw, 1.75rem);
  margin-top: 2rem;
  width: 100%;
}
.news-main-box2 .webgene-blog .webgene-item .details-box .img-box {
  width: 100%;
  overflow: hidden;
  margin-block: 2rem;
}
.news-main-box2 .webgene-blog .webgene-item .details-box .img-box img {
  -o-object-fit: contain;
  object-fit: contain;
  width: 100%;
  height: 100%;
}
.news-main-box2 .webgene-blog .webgene-item .details-box .text {
  font-size: clamp(0.75rem, 0.71rem + 0.18vw, 0.875rem);
  line-height: 2.4;
  margin-bottom: 3rem;
  width: 100%;
}

.webgene-blog .webgene-item .news-index {
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
  gap: 0.8rem;
  padding-bottom: 1.4rem;
  margin-bottom: 1.4rem;
  border-bottom: 1px solid #D9D9D9;
  line-height: 1.5;
}
@media (min-width: 992px) {
  .webgene-blog .webgene-item .news-index {
    flex-direction: row;
    align-items: center;
    justify-content: start;
    gap: 2rem;
    padding-bottom: 2rem;
    margin-bottom: 2rem;
  }
}
.webgene-blog .webgene-item .news-index p {
  font-size: clamp(0.75rem, 0.71rem + 0.18vw, 0.875rem);
   color: #D45D00;
}
.webgene-blog .webgene-item .news-index h3 {
  font-size: clamp(1rem, 0.919rem + 0.35vw, 1.25rem);
}
